<div class="sign-up-main">
    <div class="sign-up">
        <form [formGroup]="signUpForm" (ngSubmit)="onSubmit()" class="sign-up">
            <label>
                First Name*:
                <input type="text"  formControlName="firstName" required>
            </label>
            <label>
                Last Name*:
                <input type="text"  formControlName="lastName" required>
            </label>
            <label>
                Login*:
                <input type="text"  formControlName="login" required>
            </label>
            <label>
                Password*:
                <input type="password"  formControlName="password" required>
            </label>
            <label>
                E-mail*:
                <input type="email" formControlName="email" required>
            </label>
            <button type="submit" [disabled]="!signUpForm.valid">Submit</button>

        </form>


        Form Status: {{signUpForm.status}};
    </div>
</div>
